# ChiliCheck

## Find those missing covers in your library's collection

ChiliCheck is a small Python script that uses the ISBNs in your collection to look for records that don't have a ChiliFresh cover image associated with them. In cases where a cover image isn't attached to a bibliographic record in your PAC, ChiliFresh delivers an image that is a single pixel gif file. By looking at the sizes of the images associated with your ISBNs, you can easily find the records without cover images. All you need to do is look for instances where the associated image is 1px x 1px. That will be a record without a cover image.

### A Few Notes and Notices

* I'm not a great Python programmer, so keep that in mind. From what I can tell, this works, but I need to test it a bit more extensively.
* While this script works with ISBNs you could modify it to use UPCs or ISSNs.
* I'm a Polaris ILS admin, but this script should be ILS agnostic. After all, you're dealing with ISBNs, not an ILS.
* This script targets ChiliFresh as the cover image provider, but many of the other cover image providers work in much the same way as ChiliFresh, so you could modify it to support other services.
* When you're running this script, you are going to be hitting ChiliFresh's servers multiple times *per second.* Please, be a good library citizen and batch your ISBNs so you're not hammering their content servers with tens of thousands of ISBNs.

### Dependencies

This script uses the Requests, IO and Pillow libraries. Make sure have those installed and made available to your Python environment.

### Usage

1. Export a list of ISBNs from your integrated library system (ILS). These should be dropped into a text file, as a single column, one ISBN per line. Please see the notes above about batching your ISBN lists. 
2. Save yourself some time and check for duplicates in your ISBN list. Remove any that you find.
3. The input text file should be named isbns.txt. Place it in the same directory as ChiliCheck.py.
4. Run ChiliCheck.py. It will produce another text file that shows the ISBNs searched for and the results of that search. This text file will be called isbn-image-checks.txt.
5. Look through that text file and find any ISBNs that are associated with a 1 x 1 pixel image. Those will be records that lack a cover image.